import 'dart:convert';

class TwiException implements Exception{
  late int? code;
  late String? message;
  late String? moreInfo;
  late int? status;
  TwiException(this.code, this.message, this.moreInfo, this.status);
  TwiException.fromResponse(String body){
    final m=json.decode(body);
    code=m["code"];
    message=m["message"];
    moreInfo=m["more_info"];
    status=m["status"];
  }

  @override
  String toString() {
    return "TwiException: code:$code, message:$message, more_info:$moreInfo, status:$status";
  }
}